Emitir JWT do usuário
curl --request POST \
--url https://api.notifique.dev/v1/chat/users/token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chatAppId": "clxxapp...",
"externalUserId": "user_alice",
"ttlSec": 3600
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({chatAppId: 'clxxapp...', externalUserId: 'user_alice', ttlSec: 3600})
};
fetch('https://api.notifique.dev/v1/chat/users/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/chat/users/token"
payload = {
"chatAppId": "clxxapp...",
"externalUserId": "user_alice",
"ttlSec": 3600
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/chat/users/token"
payload := strings.NewReader("{\n \"chatAppId\": \"clxxapp...\",\n \"externalUserId\": \"user_alice\",\n \"ttlSec\": 3600\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"token": "<string>",
"expiresAt": "<string>",
"jti": "<string>"
}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>",
"message": "<string>"
}Chat Users
Emitir JWT do usuário
Emite JWT HS256 para la app del cliente. Nunca entregues JWT de AGENT en la app del usuario. Alcance: chat:users.
POST
/
v1
/
chat
/
users
/
token
Emitir JWT do usuário
curl --request POST \
--url https://api.notifique.dev/v1/chat/users/token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chatAppId": "clxxapp...",
"externalUserId": "user_alice",
"ttlSec": 3600
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({chatAppId: 'clxxapp...', externalUserId: 'user_alice', ttlSec: 3600})
};
fetch('https://api.notifique.dev/v1/chat/users/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/chat/users/token"
payload = {
"chatAppId": "clxxapp...",
"externalUserId": "user_alice",
"ttlSec": 3600
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/chat/users/token"
payload := strings.NewReader("{\n \"chatAppId\": \"clxxapp...\",\n \"externalUserId\": \"user_alice\",\n \"ttlSec\": 3600\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"token": "<string>",
"expiresAt": "<string>",
"jti": "<string>"
}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>",
"message": "<string>"
}Autorizações
ntfChatBearerAuthntfChatApiKeyHeader
API Key sk_live_… / sk_test_… ou JWT do usuário do chat (eyJ…).
Corpo
application/json
Esta página foi útil?

